Welcome

WinGuard Pro allows users to password protect programs, files, web content and more on their computer.

Documentation and Online Help

WinGuard Pro includes Online Help via the Help menu of the Setup Tool. There is also a FAQ avaliable on the website http://www.winguardpro.com/faq.html.

Product Updates

To get the latest updates for this software, please visit http://www.winguardpro.com.

You can also choose 'Update' from the software's About screen and the software will check for and download any updates.

About WinGuard Pro

WinGuard Pro is a program that lets you lock features of your system so that nobody can use them while you are away. The program lets you specify a password and then choose from a variety of options - what features to lock, for example, the find tool, backing up, desktop, etc. All the options are listed within one window and they are self-explaining, so there is no need to wade your way through dozens of subfolders and weird registry key values.

The current version of the software can also encrypt files and folders and aslo lock out web content.

Copyright © <1999-2005>, <Winguard Pro Team>

This help file has been generated by the freeware version of HelpNDoc


Contact Us

If you need help with anything please email us or see our website below.

Email: support@winguardpro.com

Web: http://www.winguardpro.com


FAQ

FAQ

The FAQ is updated online regulary, so you always have the most up-date-date help.

Click here to view the FAQ online.


Program Locks tab

Program Protection


Understanding Password Protection of Programs

You can apply a password to any programs or windows on your computer. Programs can be anything from your Web Browser to your Word Processor. Whereas windows are just any other dialog that is part of a main program, such as an Options dialog, or the Control Panel. WinGuard Pro lists all your programs and windows under one list.

WinGuard Pro works by scanning your computer's open programs or windows Title Bar. The Title Bar is the part at the top of your program that displays the program's name. It also nests the Maximize, Minimize and Close buttons. If WinGuard Pro finds a match against a program you have password protected, then it locks the program and requests a password from the user.

To learn how to add your own programs or windows for password protection please see the next topic .


How to Password Protect a Program

To password protect a program on your computer click the Program Locks tab, and then click Add.

Now type the Window Title of the program or window you want to password protect. The Window Title is the part displayed at the top of a program, e.g. Microsoft Word. If you don't know the window title there is a list of already running programs displayed. All you need to do is select the program you want to password protect from the list and click OK. If your program is not in the list then simply open the program as you would normally do, and then click the Refresh button, and it will be displayed.

Note: Window Title's must be entered in the original case, e.g. 'Microsoft Word' is correct case for this program, whereas 'microsoft word' isn't.


Ignore List

The Ignore List is for programs that you never want the software to stop by mistake. This is because, sometimes a good window may contain words of a disallowed window.

TIP: When the Password Prompt appears, after entering the correct password to unlock a program, an Ignore button appears. Click the Ignore button if you don't want to be prompted for a password for that program in future--this is useful if the software has prompted for a password on a program it shouldn'y have. This is usually because the 'good' program contains words of a disallowed program, though this is rare.


File & Folder Locks tab

File and Folder Encryption


Encrypting Files and Folders

Encrypting your files and folders is the most secure way to keep them private. It is also easy to do, and safe. The encryption method used is ASE (Advanced Security Encryption 128bits) - It's basiclly just the name for an industry method of encrypting files.

To encrypt a folder click the File & Folder Locks tab and then browse to the folder on your computer you want to encrypt. Once you have found the folder click Encrypt. All the files in the folder you choose will then be encrypted! All files that are encrypted are also renamed with the .lok extension for clarity.

If you only want to encrypt a single file, rather than an entire folder, use the Files button instead.

TIP: You can also Encrypt of Decrypt files and folders from Windows Explorer directly (recommended).


Decrypting files and folders

Decryption of folders and individual files works in the same way that you did to encypt them. Your files will be returned to their normal working state.


Include Sub Folders

Show folder during encrypt/decrypt

When encrypting or decryption a folder, this option will also include all the sub folders within the selected folder.


Hide files

Hide files from user after encryption

This option will apply the Hidden attribute to files after they are encrypted. For this to be effective make sure you have turned off the option to Show All Files via Folder Options in Control Panel. You can also set a password on Folder Options so that user's cannot show hidden files.


Web Content Locks tab

Web Content Filter


Password Protecting Web Content

How to Password Protect Web Content (web pages)

To password protect a web content on your computer click the Web Contents Locks, and then click Add.

Now type a keyword that represents the content you want to restrict, some example keywords might be:

Sex

Porn

Crime

Drugs

Note: Keywords are case sensitive, e.g. 'Crime' and 'crime' are detected differently, so you may need to add the item twice in both cases.

When you open your web browser the software will scan for the keywords you specified, if it finds one it will require a password to continue accessing the content.


Extra Locks tab

Extra Locks


Windows Locks section

Windows Locks


Task Keys

This will lock the CTRL+ALT+DEL keys on Win9x systems. You don't really need this because the software cannot be self terminated anyway. On Windows NT, 2000, and XP it will disable the Task Manager instead.


Windows Startup

Requires a password to access your Windows shell at startup.


Software Installations

Lock Software Installations

This will attempt to stop users installing software on the computer by scanning for common words such as Setup. It has proven to be 90% accurate.


Self Extracting Files

This option will lock any Zip files from being run on the computer as well as self extracting archives, such as WinZip ones. It's about 90% effective.


Windows Explorer

Lock Windows Explorer

This will lock all Windows Explorer type windows that consist of a folder list on the left and and a file list on the right.

The reason for this options is because you cannot lock Windows Explorer on newer systems the usual way becuase it doesn't actually have a window title, it only displays the name of the current folder. Using this option will solve this problem.


My Computer

This locks the My Computer and associated windows such as all drives, Recycle Bin, Control Panel and so on.


Internet Explorer Locks section

Internet Explorer Locks


Browser

Locks access to Internet Explorer web browser.


Downloads

This will lock any downloads from Internet Explorer from starting.


Browsing of File System

This stops the user from accessing the drives from the address bar of Internet Explorer. For instance, typing 'c:\' at the address bar will open the contents of the hard-drive. The software blocks all such attempts with this option.


Settings

Copyright © <1999-2005>, <Winguard Pro Team>

This help file has been generated by the freeware version of HelpNDoc


When Password Prompt Appears section

Copyright © <1999-2005>, <Winguard Pro Team>

This help file has been generated by the freeware version of HelpNDoc


Count Down

Set how long the password prompt stays displayed for. Good when using Lock Software Installs, as it will stop any setup that may being running after a specified number of seconds.


Blank Screen

This will clear the screen when a locked item is opened.


General section

Copyright © <1999-2005>, <Winguard Pro Team>

This help file has been generated by the freeware version of HelpNDoc


Relock Timer

When you use the Unlock All Programs command on the tray icon, this timer will relock everything after a specified number of minutes.


Disable Tray Icon

Removes the program icon of the software from the tray icon (near the clock).


Set Setup Password

Allows you to set a password for the Setup Tool, applies to all users, so only the administrator should know it.


Set User Password

This will allow you to specify a new password to access your locked programs, files and folders and web content.

Note: Password's not are case sensitive.


Users

Copyright © <1999-2005>, <Winguard Pro Team>

This help file has been generated by the freeware version of HelpNDoc


Save Settings For section

Copyright © <1999-2005>, <Winguard Pro Team>

This help file has been generated by the freeware version of HelpNDoc


All Users

Save these settings for All Users of this computer

With this option selected all the settings, including Locked Programs and Web Pages wil be saved for All Users that log on to this computer. This is far more easier to maintain if you have quite a few users to configure.

If your running on a network, use the Import and Export commands to save the config and load it onto the others computers. This saves you from having to set all the other computers up manually.


This User

Save settings for this user only

With this option selected all the settings, including Locked Programs and Web Pages will be saved only for the user currently logged on to Windows.

If your running on a network, use the Import and Export commands to save the config and load it onto the others computers. This saves you from having to set all the other computers up manually.

Note: This doesn't override the All Users commands on other Windows accounts. It's only for the user currently logged on. This is good as you can set for example Joe has access to everything, but then use All Users for everyone else, where they have limited access (depending on what you choose to restrict).


Import and Export

If your running on a network, use the Import and Export commands to save the config and load it onto the others computers. This saves you from having to set all the other computers up manually.